Ruby - Bug #8140

Incorrect warning: "+' after local variable is interpreted as binary operator
03/22/2013 12:19 AM - glyn (Glyn Normington)

Status: Closed
Priority: Normal
Assignee: matz (Yukihiro Matsumoto)

Target version:

ruby -v: ruby 1.9.3p374 (2013-01-15 revision Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6:
38858) [x86_64-darwin12.2.1] UNKNOWN

Description
The statement:

puts " +"

generates an invalid warning when executed with "ruby -w" which (a) implies a syntactical ambiguity where there is none, and (b)
refers to a "local variable" of which there are none.

Note that:
puts "+"
and:

puts " +"

produce no warnings.

History

#1 - 01/02/2019 05:48 PM - jsc (Justin Collins)
glyn (Glyn Normington) wrote:
The statement:

"o

puts " +

generates an invalid warning when executed with "ruby -w" which (a) implies a syntactical ambiguity where there is none, and (b) refers to a
"local variable" of which there are none.

The message as of ruby-1.9.3-p551 was:

$ ruby -w

L + L

—:1: warning: “+' after local variable is interpreted as binary operator
—:1: warning: even though it seems like unary operator

As of 2.1.10 (at least), the message now includes "or literal" to address point (b):
$ ruby -w
L + L

—:1: warning: “+' after local variable or literal is interpreted as binary operator
—:1: warning: even though it seems like unary operator

#2 - 07/15/2019 10:49 PM - jeremyevansO0 (Jeremy Evans)
- Status changed from Open to Closed
